- Qt 6.10
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QRenderSettings
- Qt 6.10.2 Reference Documentation

# Qt3DRender::QRenderSettings Class

class Qt3DRender::QRenderSettings

The QRenderSettings class holds settings related to rendering process and host the active FrameGraph. More...

Header: | `#include <QRenderSettings>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | RenderSettings
Inherits: | Qt3DCore::QComponent
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | RenderPolicy { OnDemand, Always }

## Properties

- activeFrameGraph : Qt3DRender::QFrameGraphNode*
- pickingSettings : Qt3DRender::QPickingSettings* const
- renderCapabilities : Qt3DRender::QRenderCapabilities* const
- renderPolicy : RenderPolicy

## Public Functions

Qt3DRender::QFrameGraphNode * | activeFrameGraph() const
Qt3DRender::QPickingSettings * | pickingSettings()
Qt3DRender::QRenderCapabilities * | renderCapabilities()
Qt3DRender::QRenderSettings::RenderPolicy | renderPolicy() const

## Public Slots

void | setActiveFrameGraph(Qt3DRender::QFrameGraphNode *activeFrameGraph)
void | setRenderPolicy(Qt3DRender::QRenderSettings::RenderPolicy renderPolicy)

## Signals

void | activeFrameGraphChanged(Qt3DRender::QFrameGraphNode *activeFrameGraph)
void | renderPolicyChanged(Qt3DRender::QRenderSettings::RenderPolicy renderPolicy)

## Detailed Description

The QRenderSettings component must be set as a component of the scene root entity. It specifies render policy and picking settings, as well as hosts the active FrameGraph.

## Member Type Documentation

### enum QRenderSettings::RenderPolicy

The render policy.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QRenderSettings::OnDemand` | `0` | The FrameGraph is rendered only when something changes.
`Qt3DRender::QRenderSettings::Always` | `1` | The FrameGraph is rendered continuously, even if nothing has changed.

## Property Documentation

### activeFrameGraph : Qt3DRender::QFrameGraphNode*

Holds the currently active FrameGraph.

Access functions:

Qt3DRender::QFrameGraphNode * | activeFrameGraph() const
void | setActiveFrameGraph(Qt3DRender::QFrameGraphNode *activeFrameGraph)

Notifier signal:

void | activeFrameGraphChanged(Qt3DRender::QFrameGraphNode *activeFrameGraph)

### `[read-only]` pickingSettings : Qt3DRender::QPickingSettings* const

Holds the current pick settings for the FrameGraph.

Access functions:

Qt3DRender::QPickingSettings * | pickingSettings()

### `[read-only]` renderCapabilities : Qt3DRender::QRenderCapabilities* const

Holds the details of the supported rendering engine

Access functions:

Qt3DRender::QRenderCapabilities * | renderCapabilities()

### renderPolicy : RenderPolicy

Holds the current render policy.

Access functions:

Qt3DRender::QRenderSettings::RenderPolicy | renderPolicy() const
void | setRenderPolicy(Qt3DRender::QRenderSettings::RenderPolicy renderPolicy)

Notifier signal:

void | renderPolicyChanged(Qt3DRender::QRenderSettings::RenderPolicy renderPolicy)